Bug 1213132 - [abrt] gdm: get_user_session_for_display(): gdm killed by SIGSEGV
Summary: [abrt] gdm: get_user_session_for_display(): gdm killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8839ec76cba6ca45dba3c53e23b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-19 08:16 UTC by iliketurtlesbro
Modified: 2016-12-08 21:59 UTC (History)
58 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:46:32 UTC


Attachments (Terms of Use)
File: backtrace (28.25 KB, text/plain)
2015-04-19 08:16 UTC, iliketurtlesbro
no flags Details
File: cgroup (186 bytes, text/plain)
2015-04-19 08:16 UTC, iliketurtlesbro
no flags Details
File: core_backtrace (10.82 KB, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: dso_list (2.64 KB, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: environ (72 bytes, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: maps (13.67 KB, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: mountinfo (3.50 KB, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: open_fds (1.05 KB, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
File: var_log_messages (1.24 KB, text/plain)
2015-04-19 08:17 UTC, iliketurtlesbro
no flags Details
after patch in comment #15, still crashes (6.78 KB, text/plain)
2015-06-25 08:42 UTC, Berend De Schouwer
no flags Details

Description iliketurtlesbro 2015-04-19 08:16:56 UTC
Version-Release number of selected component:
gdm-3.16.1.1-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/sbin/gdm
crash_function: get_user_session_for_display
executable:     /usr/sbin/gdm
global_pid:     849
kernel:         4.0.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_user_session_for_display at gdm-manager.c:1133
 #1 gdm_manager_handle_register_display at gdm-manager.c:1188
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 g_cclosure_marshal_generic at gclosure.c:1448
 #7 g_signal_emitv at gsignal.c:3044
 #8 _gdm_dbus_manager_skeleton_handle_method_call at gdm-manager-glue.c:1352
 #9 g_dbus_interface_method_dispatch_helper at gdbusinterfaceskeleton.c:609
 #10 skeleton_intercept_handle_method_call at gdbusinterfaceskeleton.c:650
 #11 call_in_idle_cb at gdbusconnection.c:4884

Comment 1 iliketurtlesbro 2015-04-19 08:16:58 UTC
Created attachment 1015996 [details]
File: backtrace

Comment 2 iliketurtlesbro 2015-04-19 08:16:59 UTC
Created attachment 1015997 [details]
File: cgroup

Comment 3 iliketurtlesbro 2015-04-19 08:17:00 UTC
Created attachment 1015998 [details]
File: core_backtrace

Comment 4 iliketurtlesbro 2015-04-19 08:17:01 UTC
Created attachment 1015999 [details]
File: dso_list

Comment 5 iliketurtlesbro 2015-04-19 08:17:01 UTC
Created attachment 1016000 [details]
File: environ

Comment 6 iliketurtlesbro 2015-04-19 08:17:02 UTC
Created attachment 1016001 [details]
File: limits

Comment 7 iliketurtlesbro 2015-04-19 08:17:03 UTC
Created attachment 1016002 [details]
File: maps

Comment 8 iliketurtlesbro 2015-04-19 08:17:03 UTC
Created attachment 1016003 [details]
File: mountinfo

Comment 9 iliketurtlesbro 2015-04-19 08:17:04 UTC
Created attachment 1016004 [details]
File: namespaces

Comment 10 iliketurtlesbro 2015-04-19 08:17:05 UTC
Created attachment 1016005 [details]
File: open_fds

Comment 11 iliketurtlesbro 2015-04-19 08:17:06 UTC
Created attachment 1016006 [details]
File: proc_pid_status

Comment 12 iliketurtlesbro 2015-04-19 08:17:06 UTC
Created attachment 1016007 [details]
File: var_log_messages

Comment 13 Adam Williamson 2015-05-06 00:48:50 UTC
This appears in gnome-abrt's 'System' pane after clean install and boot of F22 Final TC1 Workstation x86_64 live. System actually works correctly, it seems to be some sort of background failure.

Comment 14 Christian Kirbach 2015-06-15 12:01:22 UTC
Could it be gdm on wayland failing and then it falls back to gdm on Xorg? In that case there would be nothing visually noticeable to the end user, except for some delay before the login screen appears.

Comment 15 Ray Strode [halfline] 2015-06-15 18:21:17 UTC
likely fixed by https://git.gnome.org/browse/gdm/commit/?id=c229f90449277c475a15d78a697b7fa13884e69b

Comment 16 Berend De Schouwer 2015-06-24 05:51:29 UTC
I'm testing comment #15 as of now (rebuilt gdm.rpm with that patch)  If it survives 24 hours on this setup, I'd call it a win.

Comment 17 Berend De Schouwer 2015-06-25 08:42:16 UTC
Created attachment 1043005 [details]
after patch in comment #15, still crashes

New backtrace attached.

Comment 18 Berend De Schouwer 2015-06-25 08:44:31 UTC
The new crash happened on un-suspend, with an hdmi monitor plugged in that wasn't plugged in on suspend.  I'm hoping the new crash log somehow gets attached to this bug.

Comment 19 Berend De Schouwer 2015-06-25 10:17:00 UTC
On un-suspend, it takes a second or two for the HDMI monitor to register.  This makes the unlock screen jump around between the laptop and hdmi monitor.  Maybe a race condition.

Comment 20 Fedora End Of Life 2016-07-19 13:46:32 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.